VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
StringDataPackage< AsFile > Struct Template Reference
Inheritance diagram for StringDataPackage< AsFile >:

## Public Member Functions
| StringDataPackage (std::string_view str)
uint32_t | getCount () const final
uint32_t | getDataSize (uint32_t index) const final
Type | getDataType (uint32_t index) const final
uint32_t | getData (uint32_t index, const void *&buffer, Type &type) const final

## Public Attributes
std::string | str

## Additional Inherited Members
Public Types inherited from IDataPackage
enum | Type { kFilePath = 0, kText, kBinary, kError = -1 }
Protected Member Functions inherited from IDataPackage
| IDataPackage ()

## Constructor & Destructor Documentation

StringDataPackage | ( | std::string_view | str | ) |
| inline

## Member Function Documentation

uint32_t getCount | ( |  | ) | const
| inline final virtual

Implements IDataPackage.

uint32_t getData | ( | uint32_t | index,
|  | const void *& | buffer,
|  | Type & | type
| ) |  | const
| inline final virtual

Implements IDataPackage.

uint32_t getDataSize | ( | uint32_t | index | ) | const
| inline final virtual

Implements IDataPackage.

Type getDataType | ( | uint32_t | index | ) | const
| inline final virtual

Implements IDataPackage.

## Member Data Documentation

std::string str

The documentation for this struct was generated from the following file:

- cclipboard.cpp